package router

import (
	"github.com/gin-gonic/gin"
	"ipv6-test-node/internal/router/routes/ip"
)

func Register() *gin.Engine {
	g := gin.New()
	g.Use(gin.Recovery())

	ipGroup := g.Group("ip")
	ipGroup.GET("myip", ip.MyIP)

	return g
}
